
QGIS Application - Bug report #1453

WMS Layer URL is damaged when loaded via Python

2008-12-12 05:36 AM - Horst Düster

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11513

Description

I load a WMS-Layer with

All parameters are defined correct. The Layer is loaded to the legend. The tooltip of the layerconnection shows the correct URL.

<pre>

After check the visibility checkbox QGIS responses with the following error message:

<pre>

Could not draw Grundbuchplan because:

WMS Server responded unexpectedly with HTTP Status Code 404 (Not Found)

Tried URL: http://srsofaioi12288:80/geoserver/wms?SERVICE=WMS&SERVICE=WMS&VERSION=1.1.1&.......

</pre>

Here you can see two strange things:

 1. Port 8080 is changed to port 80

 2. SERVICE=WMS appears twice

Loading this WMS via WMS-Connector works without problems.

Associated revisions

Revision b2bd71de - 2008-12-18 12:45 AM - Jürgen Fischer

fix #1453

	

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9841 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision ed948066 - 2008-12-18 12:45 AM - Jürgen Fischer

fix #1453
git-svn-id: http://svn.osgeo.org/qgis/trunk@9841 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-12-12 06:49 AM - Jürgen Fischer

The first url is used for the [[GetCapabilities]] request.  The [[GetCapabilities]] response contains an url that is used to the [[GetMap]] requests that actually

load the images to display.

	

I suspect that the [[OnlineResource]] returned by [[GetCapabilities]] points to the second url you see.  That would be a problem of the WMS server.

	

That would be consistent with the fact that if the layer is initially off, checking the visibility box triggers the first [[GetMap]] request.

#2 - 2008-12-12 07:24 AM - Horst Düster

Replying to [comment:1 jef]:

	

The first url is used for the [[GetCapabilities]] request.  The [[GetCapabilities]] response contains an url that is used to the [[GetMap]] requests that

actually load the images to display.

	

I checked the Capabilities output and I see a well defined onlineressource with port 8080:

	

<OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink" xlink:type="simple"

xlink:href="http://srsofaioi12288:8080/geoserver/wms?SERVICE=WMS&"/>

	

In addition the [[OnlineRessource]] shows SERVICE=WMS after ? thats the reason for the twice SERVICE=WMS, but one 80 is missing. I've to correct my

former post. With the WMS connector QGIS shows the same faulty behaviour.
I suspect that the [[OnlineResource]] returned by [[GetCapabilities]] points to the second url you see.  That would be a problem of the WMS server.

	

That would be consistent with the fact that if the layer is initially off, checking the visibility box triggers the first [[GetMap]] request.

#3 - 2008-12-17 03:45 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in

#4 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
